@echo off
REM Version 2018.0 - July 2018

set TDSDIR=%cd%
set RLM_LICENSE=%TDSDIR%\..\licenses\license.lic
set WAVEMAKERPLUS=%TDSDIR%\wavemakerplus.exe

:: Check that we have the TSSI RLM license
if not EXIST %RLM_LICENSE% @goto :MISSINGLICENSEFILE

:: Check that we have the TSSI wavemakerplus application executable
if not EXIST %WAVEMAKERPLUS% @goto :MISSINGWAVEMAKERPLUS

start %WAVEMAKERPLUS%

goto:EXITSCRIPT

:MISSINGLICENSEFILE
    echo License file not found in "licenses" directory. Expected:
    echo %RLM_LICENSE%
    Pause
    goto:EXITSCRIPT

:MISSINGWAVEMAKERPLUS
    echo WAVEMAKERPLUS executable not found in "tds" directory:
    echo %WAVEMAKERPLUS%
    Pause
    goto:EXITSCRIPT


:EXITSCRIPT


